#include "Window.h"

namespace ZoomEdit {
namespace Gui {

Window::Window(BaseObjectType *cobject, const Glib::RefPtr<Gnome::Glade::Xml> &xml)
: Gtk::Window(cobject) {
  xml->connect_clicked("MenuItemQuit", sigc::mem_fun(this, &Window::hide));
  
  xml->get_widget_derived("RenderArea", renderArea);
}

Window::~Window() {
  if(renderArea)
    delete renderArea;
}

}
}
